Package Details: mupen64plus-qt 1.15-3

Git Clone URL: https://aur.archlinux.org/mupen64plus-qt.git (read-only, click to copy)
Package Base: mupen64plus-qt
Description: A customizable launcher for Mupen64Plus
Upstream URL: https://github.com/dh4/mupen64plus-qt
Licenses: BSD
Submitter: Presence
Maintainer: Presence
Last Packager: Presence
Votes: 14
Popularity: 0.033566
First Submitted: 2014-03-12 01:39 (UTC)
Last Updated: 2022-04-25 17:38 (UTC)

Latest Comments

kazeta156 commented on 2022-05-30 03:39 (UTC)

"/usr/bin/ld: cannot find -lquazip5: No such file or directory"

drito commented on 2022-04-24 21:35 (UTC)

Build failed: Missing "QuaZip-Qt5-1.2/quazip/quazip.h"

xproot commented on 2021-11-26 21:09 (UTC)

Still getting a quazip5 error.

sl1pkn07 commented on 2021-01-08 16:01 (UTC) (edited on 2021-01-08 16:03 (UTC) by sl1pkn07)

EDIT_ ok, error wen already have installed DPKG (for develop purposes)

fixed in my side

sorry

Presence commented on 2021-01-07 19:34 (UTC)

Fixed now. Thanks!

yooouuri commented on 2020-12-27 14:59 (UTC)

getting an error: src/common.cpp:43:10: fatal error: quazip5/quazip.h: No such file or directory

es20490446e commented on 2019-02-26 08:29 (UTC)

Thank you. When it's ready let us now here!

Presence commented on 2019-02-26 03:00 (UTC)

Thanks! I'm aware. I'm also the developer of mupen64plus-qt. I'll convert this to use that fork or create a new PKGBUILD for it when it's ready (and when the new version of mupen64plus is released, as it builds much easier with the newer version).

es20490446e commented on 2019-02-25 19:13 (UTC)

There's a fork of this software, with improved control configuration: https://github.com/robalni/mupen64plus-ui

Presence commented on 2018-10-11 14:36 (UTC)

I've modified the source line. Thanks for pointing that out

le_fuzzy commented on 2018-10-10 21:11 (UTC) (edited on 2018-10-10 21:15 (UTC) by le_fuzzy)

The PKGBUILD's source line should be changed to the following (or equivalent) so that the downloaded file is guaranteed to be unique. ( for reference read at the warning @ https://wiki.archlinux.org/index.php/PKGBUILD#source )

source=("${pkgname}-${pkgver}.tar.gz::<https://github.com/dh4/>${pkgname}/archive/${pkgver}.tar.gz")

Presence commented on 2017-02-20 22:26 (UTC)

Fixed. Thanks

DungeonMaster commented on 2017-02-19 21:56 (UTC)

it's not quazip-qt5 anymore it's simply quazip. The qt4 version is quazip-qt4

sl1pkn07 commented on 2016-07-05 19:07 (UTC)

yes. have installed :S but still use a wrong lib because archlinux use -libquazip5 like debian/ubuntu this is a upstream bug. nothing to do in this package. and yes. change -libquazip-qt5 to libquazip5 solve my problem sorry for the noise greetings

Presence commented on 2016-07-04 16:57 (UTC)

Do you have dpkg installed on your system? It should link against libquazip5 but has special handling since Debian originally named the library libquazip-qt5: https://github.com/dh4/mupen64plus-qt/blob/1.9/mupen64plus-qt.pro#L70 Try modifying line 74 in mupen64plus-qt.pro before you build. Change "LIBS += -lquazip-qt5" to "LIBS += -lquazip5"

sl1pkn07 commented on 2016-07-03 12:29 (UTC)

g++ -Wl,-O1 -Wl,-O1,--sort-common,--as-needed,-z,relro -o mupen64plus-qt main.o common.o mainwindow.o aboutdialog.o settingsdialog.o gamesettingsdialog.o treewidgetitem.o clickablewidget.o configeditor.o downloaddialog.o logdialog.o emulatorhandler.o romcollection.o thegamesdbscrapper.o qrc_mupen64plusqt.o moc_mainwindow.o moc_aboutdialog.o moc_settingsdialog.o moc_gamesettingsdialog.o moc_clickablewidget.o moc_configeditor.o moc_downloaddialog.o moc_logdialog.o moc_emulatorhandler.o moc_romcollection.o moc_thegamesdbscrapper.o -lquazip-qt5 -lQt5Widgets -lQt5Gui -lQt5Network -lQt5Xml -lQt5Sql -lQt5Core -lGL -lpthread /usr/bin/ld: cannot find -lquazip-qt5 collect2: error: ld returned 1 exit status

Presence commented on 2016-01-12 20:49 (UTC)

Thanks. Fixed the dependency issues.

sl1pkn07 commented on 2016-01-02 22:15 (UTC)

mupen64plus-qt E: Dependency hicolor-icon-theme detected and not included (needed for hicolor theme hierarchy) mupen64plus-qt W: Dependency qt5-base included but already satisfied no need qt5-base in a depends array because is pulled by quazip-qt5